Bug 200641 - Hibernate Does Not Work
Hibernate Does Not Work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Cunningham
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-29 12:53 EDT by Chris Spencer
Modified: 2007-12-10 17:22 EST (History)
6 users (show)

See Also:
Fixed In Version: 20070731
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 17:22:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from dmesg right after running the hibernate script on F7 (5.08 KB, text/plain)
2007-06-12 17:01 EDT, Chris Spencer
no flags Details

  None (edit)
Description Chris Spencer 2006-07-29 12:53:02 EDT
Description of problem:
Running pm-hibernate causes screens to blank, but system does not shutdown and
becomes unresponsive to mouse and keyboard input. Pressing power button causes
screens to come back on only to show the system in shutting down. Upon restart,
nothing from the previous session was saved. Running pm-suspend has a similar
effect.

Version-Release number of selected component (if applicable):
pm-utils 0.15-1

How reproducible:
Run pm-hibernate.
  
Actual results:
Screen blanks but machine does not shutdown or save session to disk.

Expected results:
Machine should save session to disk and then shutdown.
Comment 1 Peter Jones 2006-09-28 16:58:40 EDT
This generally means the kernel or system firmware aren't working.  Reassigning
to them.
Comment 2 Dave Jones 2006-10-16 17:02:21 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Nigel Cunningham 2007-06-12 02:24:12 EDT
Could you confirm whether this is still an issue?
Comment 4 Chris Spencer 2007-06-12 02:47:50 EDT
Yes, this is still an issue, but a less destructive one. I recently installed
Fedora 7, and now when I try to hibernate, instead of crashing the computer, the
screen briefly switches to a console, but after a few seconds switches back to
X. Would it help to have a listing of my hardware configuration?
Comment 5 Nigel Cunningham 2007-06-12 03:05:03 EDT
That would be good. Dmesg may well be more useful in the short term, though.
Could you also check that "cat /sys/power/state" includes 'disk' in its output?
Comment 6 Chris Spencer 2007-06-12 17:01:49 EDT
Created attachment 156827 [details]
Output from dmesg right after running the hibernate script on F7

I've attached the dmesg output generated after calling "hibernate" from the
console. Also, "cat /sys/power/state" simply returns "standby disk".
Comment 7 Chris Spencer 2007-06-12 17:03:50 EDT
I'm not sure if it's relevant or visible in the dmesg output, but I also have a
software RAID 1 setup. 
Comment 8 Nigel Cunningham 2007-06-18 20:14:46 EDT
Ok. Your dmesg tells one problem (there may be more we're not seeing yet):

pci_device_suspend(): rt2x00pci_suspend+0x0/0x5f [rt2x00pci]() returns -16
suspend_device(): pci_device_suspend+0x0/0x47() returns -16
Could not suspend device 0000:03:02.0: error -16

Is this a custom kernel? I can't find reference to an rt2x00 in the source 
code.
Comment 9 Chris Spencer 2007-06-18 20:28:59 EDT
No, it's the standard kernel from yum. I think the rt2x00 is referring to my
Wifi PCI card. Perhaps this card doesn't support suspension?
Comment 10 Nigel Cunningham 2007-06-18 20:58:05 EDT
Ah. I missed the mention of the update to FC-7 and was looking in the FC-5 
kernel source. Will update that flag.

The driver does have power management support. -16 is -EBUSY, and indicates 
that the card is failing to get into the requested power state in the time 
allowed. A temporary workaround would be to take the interface down and remove 
the module prior to suspending.

To get the issue fixed, I'd suggest contacting the driver authors 
(rt2x00.serialmonkey.com).
Comment 11 Ivo van Doorn 2007-06-19 09:53:01 EDT
And here is the driver author. ;)

I have been made aware of the resume problems some days ago,
and I am looking into the issue. I first thought it had to do with
the firmware but I noticed that this bug is about a rt2500 device
which does not requires firmware.

So I am looking into this issue, and as soon as I have patches/information
I will let you know.
Comment 12 Sergio Monteiro Basto 2007-06-28 09:55:28 EDT
I also have a suspend to disk regression problem , on my compaq nx 6110.

I try : 
rpm -iv ~/kernel-2.6.20-1.2962.fc6.src.rpm 
cd /usr/src/redhat/SPECS/
rpmbuild -ba kernel-2.6.spec --with baseonly --target=i686
rpm -ivh /usr/src/redhat/RPMS/i686/kernel-2.6.20-1.2962.fc7.i686.rpm 
and exactly the same system just boot with kernel-2.6.20-1.2962.fc7 I don't have
any problem.

Comment 13 Chris Spencer 2007-06-28 16:04:01 EDT
Just to confirm my situation, after removing the rt2x00 kernel modules, I was
able to hibernate successfully.
Comment 14 Nigel Cunningham 2007-06-28 22:05:18 EDT
Re comment 11, thanks Ivo.

Re comment 12, Sergio, does it relate to the same driver? If not, could you 
please open a fresh bug?
Comment 15 Sergio Monteiro Basto 2007-06-30 19:10:03 EDT
(In reply to comment #14)
> Re comment 12, Sergio, does it relate to the same driver? 
No , sorry , it is just a regression . 

> If not, could you please open a fresh bug?
ok thanks, 

Comment 16 Ivo van Doorn 2007-07-30 08:08:56 EDT
I have finally managed to do some work on the suspend/resume handling inside 
rt2x00 and I think I resolved the issue.
I am at the moment awaiting some test results from people, but if it works 
I'll release rt2x00 2.0.5 which can then be merged with the Fedora kernel.

CC'ed John to this list, since he is usually the one that merges rt2x00 
releases into the Fedora kernel. ;)
Comment 17 Ivo van Doorn 2007-07-31 14:35:53 EDT
rt2x00 2.0.5 has just been released with Suspend/Resume patches.
Comment 18 Nigel Cunningham 2007-09-10 20:00:14 EDT
Great. Sorry for my slowness in following up on this. I see from the cvs log
that there was an update pulling into the rawhide kernel tree:

revision 1.11
date: 2007/07/31 20:32:18;  author: linville;  state: Exp;  lines: +1 -0
iwlwifi, rt2x00, & zd1211rw updates

Chris, have you been able to give it a go? If so, what were the results?
Comment 19 Nigel Cunningham 2007-12-10 17:22:20 EST
Closing on the assumption that this has been fixed.

Note You need to log in before you can comment on or make changes to this bug.